Bug 486229 - Review Request: indi-apogee - The INDI driver for Apogee Alta (U & E) line of CCDs
Review Request: indi-apogee - The INDI driver for Apogee Alta (U & E) line of...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 17:53 EST by Sergio Pascual
Modified: 2009-03-06 09:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 09:55:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2009-02-18 17:53:52 EST
Spec URL: http://sergiopr.fedorapeople.org/indi-apogee.spec
SRPM URL: http://sergiopr.fedorapeople.org/indi-apogee-1.0-1.fc10.src.rpm
Description: The INDI (Instrument Neutral Distributed Interface) driver for Apogee Alta (U & E) line of CCDs.

This package build only in rawhide, it depends in libindi-static that is provided only by libindi in rawhide.
Comment 1 Sergio Pascual 2009-02-18 17:54:53 EST
Koji build

https://koji.fedoraproject.org/koji/taskinfo?taskID=1136856
Comment 2 Sergio Pascual 2009-02-18 18:16:21 EST
I'm adding you, Kevin, to the CC
Comment 3 Kevin Kofler 2009-02-18 19:06:46 EST
We'll want to push grouped libindi, libapogee, indi-apogee updates to F9 and F10 once this passed review.

If you prepare libindi builds for F9 and F10 with the necessary changes, I'll ask Rex Dieter to tag it into the buildroots (or you can just ask him directly).
Comment 4 Jaroslav Reznik 2009-02-19 06:45:11 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f11 / i586, x86_64, ppc, ppc64
 [x] Rpmlint output clean
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in koji.
     - koji dist-f11  
 [x] Package should compile and build into binary rpms on all supported
architectures.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===

APPROVED
Comment 5 Sergio Pascual 2009-02-19 08:51:47 EST
New Package CVS Request
=======================
Package Name: indi-apogee
Short Description: indi-apogee
Owners: sergiopr
Branches: F-10 F-9
InitialCC:
Comment 6 Sergio Pascual 2009-02-19 09:06:26 EST
New Package CVS Request
=======================
Package Name: indi-apogee
Short Description: The INDI (Instrument Neutral Distributed Interface) driver for
Apogee Alta (U & E) line of CCDs.
Owners: sergiopr
Branches: F-10 F-9
InitialCC:
Comment 7 Sergio Pascual 2009-02-20 07:13:30 EST
I promise this one is correct!

New Package CVS Request
=======================
Package Name: indi-apogee
Short Description: The INDI driver for Apogee Alta (U & E) line of CCDs.
Owners: sergiopr
Branches: F-10 F-9
InitialCC:
Comment 8 Kevin Fenzi 2009-02-20 15:13:45 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.